API 参考Provider
列出 provider 类型
GET
/api/v1/provider-types/{kind}认证与授权Bearer <token>
工作空间 API 密钥(a13n_...)
传递位置: header
路径参数
kind*Kind
可选值
- "model"
- "environment"
- "connector"
- "web"
- "memory"
响应体
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/provider-types/model"{ "items": [ { "authentication": { "cases": [], "mode": "required" }, "catalog_providers": [ "string" ], "configuration_schema": { "property1": null, "property2": null }, "credential_schema": { "property1": null, "property2": null }, "default_model_api": "string", "display_name": "string", "environment_schema": { "property1": null, "property2": null }, "model_api_labels": { "property1": "string", "property2": "string" }, "model_apis": [ "string" ], "oauth_scheme": "string", "operations": [ "search" ], "settings_schemas": { "property1": { "property1": null, "property2": null }, "property2": { "property1": null, "property2": null } }, "setup_label": "string", "setup_url": "string", "supports_destroy": true, "supports_stop": true, "supports_test": true, "type": "string" } ], "next_cursor": "string"}